//
//  BaseUITextField.swift
//  Teleasystent
//

import UIKit

class BaseUITextField: UITextField {
    @IBInspectable var fitToHeightMult: CGFloat = 0.0

    override var bounds: CGRect {
        didSet {
            fitTextSize()
        }
    }
    
    override var text: String? {
        didSet {
            fitTextSize()
        }
    }
    
    fileprivate func fitTextSize() {
        if fitToHeightMult > 0 {
            font = font?.withSize(frame.height * fitToHeightMult)
        }
    }

}
