//
//  BaseUITextView.swift
//  Teleasystent
//

import UIKit

class BaseUITextView: UITextView {
    @IBInspectable var fitToHeightMult: CGFloat = 0.0
    
    override var bounds: CGRect {
        didSet {
            if oldValue.height != bounds.height {
                fitTextSize()
            }
        }
    }
    
    override var text: String? {
        didSet {
            fitTextSize()
        }
    }
    
    fileprivate func fitTextSize() {
        if fitToHeightMult > 0 {
            font = font?.withSize(frame.height * fitToHeightMult)
        }
    }

}
