//
//  RatingViewController.swift
//  PopupDialog
//

import UIKit

class RatingViewController: UIViewController {
    @IBOutlet weak var titleLabel: UILabel!
    @IBOutlet weak var cosmosStarRating: CosmosView!
    
    var defaultRating = 3

    override func viewDidLoad() {
        super.viewDidLoad()
        
        cosmosStarRating.settings.fillMode = .full
        cosmosStarRating.settings.minTouchRating = 1.0
        cosmosStarRating.rating = Double(defaultRating)

        view.addGestureRecognizer(UITapGestureRecognizer(target: self, action: #selector(endEditing)))
    }
    
    override func viewWillAppear(_ animated: Bool) {
        super.viewWillAppear(animated)
        
        titleLabel.text = Utils.getLocString("rate_title")
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

    @objc func endEditing() {
        view.endEditing(true)
    }
}
