//
//  RestoreData.swift
//  Teleasystent
//

import Foundation

class RestoreData: NSObject, NSCoding {
    var selectedEventId: String?
    var addEditLaunched = false
    var addEditEventTypeId: String?
    var addEditDate: Date?
    var addEditDescription: String?
    var addEditAssistantId: String?
    
    
    private let selectedEventIdKey = "selectedEventId"
    private let addEditLaunchedKey = "addEditLaunched"
    private let addEditEventTypeIdKey = "addEditEventTypeId"
    private let addEditDateKey = "addEditDate"
    private let addEditDescriptionKey = "addEditDescription"
    private let addEditAssistantIdKey = "addEditAssistantId"
    
    override init() {
        // empty
    }
    
    required init?(coder aDecoder: NSCoder) {
        selectedEventId = aDecoder.decodeObject(forKey: selectedEventIdKey) as? String
        addEditLaunched = aDecoder.decodeBool(forKey: addEditLaunchedKey)
        addEditEventTypeId = aDecoder.decodeObject(forKey: addEditEventTypeIdKey) as? String
        addEditDate = aDecoder.decodeObject(forKey: addEditDateKey) as? Date
        addEditDescription = aDecoder.decodeObject(forKey: addEditDescriptionKey) as? String
        addEditAssistantId = aDecoder.decodeObject(forKey: addEditAssistantIdKey) as? String
    }
    
    func encode(with aCoder: NSCoder) {
        aCoder.encode(selectedEventId, forKey: selectedEventIdKey)
        aCoder.encode(addEditLaunched, forKey: addEditLaunchedKey)
        aCoder.encode(addEditEventTypeId, forKey: addEditEventTypeIdKey)
        aCoder.encode(addEditDate, forKey: addEditDateKey)
        aCoder.encode(addEditDescription, forKey: addEditDescriptionKey)
        aCoder.encode(addEditAssistantId, forKey: addEditAssistantIdKey)
    }
    
    func clear() {
        selectedEventId = nil
        addEditLaunched = false
    }
    
    
}
