//
//  UsageManager.swift
//  Tattoo
//

import Foundation

private let proVersionKey = "proVersion"

class UsageManager {
    fileprivate let proVersionUnlockedValue = 902384181
    
    fileprivate func getPreferences() -> UserDefaults {
        return UserDefaults.standard
    }
    
    func isProVersionAvailable() -> Bool {
        return getPreferences().integer(forKey: proVersionKey) == proVersionUnlockedValue
    }
    
    func setProVersionAvailable(_ available: Bool) {
        getPreferences().set(available ? proVersionUnlockedValue : 0, forKey: proVersionKey)
        getPreferences().synchronize()
    }
    
}
