//
//  AppDelegate.swift
//  Teleasystent
//

import UIKit
import Firebase
import FirebaseUI
import Fabric
import Crashlytics
import GoogleMaps

@UIApplicationMain
class AppDelegate: UIResponder, UIApplicationDelegate {

    var window: UIWindow?
    
    public let firebaseAuthManager = FirebaseAuthManager()
    public let serverManager = ServerManager(serverAddress: "http://serwer1399792.home.pl/teleasystent/testBeta/") // TODO WYWALIC testBeta
    public var restoreData = RestoreData()
    
    public let appId = "TODO"
    public let googleMapsApiKey = "AIzaSyDDzwun-RgYjZSD_yc4lq0THJ11nS50RVU"
    
    private let restoreDataKey = "restoreData"
    
    static func getInstance() -> AppDelegate {
        return UIApplication.shared.delegate as! AppDelegate
    }
    
    func shouldUpdateDataFromServer(lastUpdate: Date?) -> Bool {
        if let lastUpdate = lastUpdate {
//            print("seconds since last update: \(lastUpdate.timeIntervalSinceNow)")
            return lastUpdate.timeIntervalSinceNow < -2*60.0
        }
        return true
    }

    func application(_ application: UIApplication, didFinishLaunchingWithOptions launchOptions: [UIApplicationLaunchOptionsKey: Any]?) -> Bool {
        Fabric.with([Crashlytics.self])
        
        FirebaseApp.configure()
        GMSServices.provideAPIKey(googleMapsApiKey)
        
        return true
    }
    
    func application(_ app: UIApplication, open url: URL, options: [UIApplicationOpenURLOptionsKey : Any] = [:]) -> Bool {
        let sourceApplication = options[UIApplicationOpenURLOptionsKey.sourceApplication] as? String
        if FUIAuth.defaultAuthUI()?.handleOpen(url, sourceApplication: sourceApplication) ?? false {
            return true
        }
        return false
    }

    func applicationWillResignActive(_ application: UIApplication) {
        // Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
        // Use this method to pause ongoing tasks, disable timers, and invalidate graphics rendering callbacks. Games should use this method to pause the game.
    }

    func applicationDidEnterBackground(_ application: UIApplication) {
        // Use this method to release shared resources, save user data, invalidate timers, and store enough application state information to restore your application to its current state in case it is terminated later.
        // If your application supports background execution, this method is called instead of applicationWillTerminate: when the user quits.
        
        print("enterBackground")
        firebaseAuthManager.onStop()
    }

    func applicationWillEnterForeground(_ application: UIApplication) {
        // Called as part of the transition from the background to the active state; here you can undo many of the changes made on entering the background.
        
        print("enterForeground")
        firebaseAuthManager.onStart()
    }

    func applicationDidBecomeActive(_ application: UIApplication) {
        // Restart any tasks that were paused (or not yet started) while the application was inactive. If the application was previously in the background, optionally refresh the user interface.
    }

    func applicationWillTerminate(_ application: UIApplication) {
        // Called when the application is about to terminate. Save data if appropriate. See also applicationDidEnterBackground:.
    }
    
    func application(_ application: UIApplication, shouldSaveApplicationState coder: NSCoder) -> Bool {
        return true
    }
    
    func application(_ application: UIApplication, shouldRestoreApplicationState coder: NSCoder) -> Bool {
        return true
    }
    
    func application(_ application: UIApplication, willEncodeRestorableStateWith coder: NSCoder) {
        coder.encode(restoreData, forKey: restoreDataKey)
    }
    
    func application(_ application: UIApplication, didDecodeRestorableStateWith coder: NSCoder) {
        if let data = coder.decodeObject(forKey: restoreDataKey) as? RestoreData {
            restoreData = data
        }
    }


}

