//
//  BaseUITextField.swift
//  Teleasystent
//

import UIKit

class BaseUITextField: UITextField {
    @IBInspectable var fitToHeightMult: CGFloat = 0.0
    @IBInspectable var rightImage: UIImage? {
        didSet {
            rightViewMode = rightImage == nil ? .never : .always
            rightView = UIImageView(image: rightImage)
        }
    }

    override var bounds: CGRect {
        didSet {
            fitTextSize()
        }
    }
    
    override var text: String? {
        didSet {
            fitTextSize()
        }
    }
    
    fileprivate func fitTextSize() {
        if fitToHeightMult > 0 {
            font = font?.withSize(frame.height * fitToHeightMult)
        }
    }
    
    override func rightViewRect(forBounds bounds: CGRect) -> CGRect {
        let size = bounds.height
        return CGRect(x: bounds.maxX - size, y: 0, width: size, height: size)
    }

}
