//
//  RestoreData.swift
//  Teleasystent
//

import Foundation

class RestoreData: NSObject, NSCoding {
    var selectedEventId: String?
    var eventsListFilter: EventsListViewController.EventsFilter?
    var addEditLaunched = false
    var addEditEventTypeId: String?
    var addEditDate: Date?
    var addEditDescription: String?
    var addEditAssistantId: String?
    var mapLaunched = false
    
    
    private let selectedEventIdKey = "selectedEventId"
    private let eventsListFilterKey = "eventsListFilter"
    private let addEditLaunchedKey = "addEditLaunched"
    private let addEditEventTypeIdKey = "addEditEventTypeId"
    private let addEditDateKey = "addEditDate"
    private let addEditDescriptionKey = "addEditDescription"
    private let addEditAssistantIdKey = "addEditAssistantId"
    private let mapLaunchedKey = "mapLaunched"
    
    override init() {
        // empty
    }
    
    required init?(coder aDecoder: NSCoder) {
        selectedEventId = aDecoder.decodeObject(forKey: selectedEventIdKey) as? String
        if aDecoder.containsValue(forKey: eventsListFilterKey) {
            eventsListFilter = EventsListViewController.EventsFilter(rawValue: aDecoder.decodeInteger(forKey: eventsListFilterKey))
        }
        addEditLaunched = aDecoder.decodeBool(forKey: addEditLaunchedKey)
        addEditEventTypeId = aDecoder.decodeObject(forKey: addEditEventTypeIdKey) as? String
        addEditDate = aDecoder.decodeObject(forKey: addEditDateKey) as? Date
        addEditDescription = aDecoder.decodeObject(forKey: addEditDescriptionKey) as? String
        addEditAssistantId = aDecoder.decodeObject(forKey: addEditAssistantIdKey) as? String
        mapLaunched = aDecoder.decodeBool(forKey: mapLaunchedKey)
    }
    
    func encode(with aCoder: NSCoder) {
        aCoder.encode(selectedEventId, forKey: selectedEventIdKey)
        if let filter = eventsListFilter {
            aCoder.encode(filter.rawValue, forKey: eventsListFilterKey)
        }
        aCoder.encode(addEditLaunched, forKey: addEditLaunchedKey)
        aCoder.encode(addEditEventTypeId, forKey: addEditEventTypeIdKey)
        aCoder.encode(addEditDate, forKey: addEditDateKey)
        aCoder.encode(addEditDescription, forKey: addEditDescriptionKey)
        aCoder.encode(addEditAssistantId, forKey: addEditAssistantIdKey)
        aCoder.encode(mapLaunched, forKey: mapLaunchedKey)
    }
    
    func clear() {
        selectedEventId = nil
        addEditLaunched = false
    }
    
    
}
